Requires

No required dependencies.

Requires (dev)

9 total, 2 outdated

Package Required Latest Status
fidry/makefile Utility to parse a Makefile and implement some convention rules. ^0.2.0 1.0.1 outdated
fidry/php-cs-fixer-config The PHP-CS-Fixer default config for my projects ^1.1.2 1.2.0 up to date
phpstan/extension-installer Composer plugin for automatic installation of PHPStan extensions ^1.2.0 1.3.1 up to date
phpstan/phpstan PHPStan - PHP Static Analysis Tool ^1.9.2 1.10.57 up to date
phpstan/phpstan-deprecation-rules PHPStan rules for detecting usage of deprecated classes, methods, properties, constants and traits. ^1.0.0 1.1.4 up to date
phpstan/phpstan-phpunit PHPUnit extensions and rules for PHPStan ^1.2.2 1.3.15 up to date
phpstan/phpstan-strict-rules Extra strict and opinionated rules for PHPStan ^1.4.4 1.5.2 up to date
phpunit/phpunit The PHP Unit Testing framework. ^8.5.31 || ^9.5.26 11.0.2 outdated
webmozarts/strict-phpunit Enables type-safe comparisons of objects in PHPUnit ^7.5 7.11.0 up to date